Ticket #688 (closed: fixed)

Opened 9 years ago

Last modified 4 years ago

Podpreti router TP-Link WR841ND

Reported by: Musti Owned by: kostko
Priority: major Milestone: 3.0b
Component: nodewatcher/devices Version:
Keywords: Cc:
Related nodes: Realization state:
Blocking: Effort: normal
Blocked by: Security sensitive: no

Description

Dobil sem router TP-Link WR841ND. Flashal ga bom z imagom za MikroTik router, saj imata isti chipset. Da vidimo, če bo delalo.

Change History

comment:1 Changed 9 years ago by mitar

A to z našim image builderjem? Ne priporočam. Raje uporabi uradno OpenWrt verzijo. Naša je že precej stara.

comment:2 Changed 9 years ago by Musti

Uradna verzija openwrtja je uspešno flashana. Bom vseeno uporabil to na image generatorju, ker je tudi sedanja kamikaze, r18526. Samo moram še ugotoviti kako elf in tgz datoteki flashati na router.

comment:3 Changed 9 years ago by mitar

  • Component changed from firmware to image generator

Hja, to z elf in tgz je specifično za MikroTik, ker ima NAND. Ne vem, kaj ima WR841ND? Daš kakšno povezavo na kakšne informacije?

comment:4 Changed 9 years ago by Musti

  • Summary changed from Router WR841ND to Router WR841ND - eksperimentalni image

Edina koristna povezava, ki sem jo našel za ta router: https://forum.openwrt.org/viewtopic.php?pid=106877.

comment:5 Changed 9 years ago by kostko

  • Milestone set to 3.0b
  • Component changed from image generator to firmware
  • Summary changed from Router WR841ND - eksperimentalni image to Podpreti router TP-Link WR841ND

comment:6 Changed 8 years ago by Musti

  • Effort set to normal

Verzija 3.5 tega routerja ima nedelujoč serijski port, zato ni primerna za uporab v modifikacijah. Bom poiskal drugo verzijo.

comment:7 Changed 8 years ago by Musti

Dobil sen router WR841ND v7, uspešno naložen openwrt backfire trunk r25258. Predvidevam, da je mogoče uporabiti serijski port, za kar bom izvedel test v naslednjih dneh.

Hardware v njem zgleda zelo uporaben, router ni prevelik in je poceni. Slike ter wiki kmalu.

comment:8 Changed 8 years ago by mitar

Slike naredi tako lepo, na beli podlagi, da bo izgledalo profi. ;-)

comment:9 Changed 8 years ago by Musti

Serijski port deluje. Kaj je potrebno storiti za njegovo uporabo z drugimi napravami, pa moram še ugotoviti, predvidevam da enako kot pri wrt54gl.

Bom napravil slike in vodič za namestitev serijskega porta.

comment:10 Changed 8 years ago by Musti

Na router sem naložil openwrt trunk. Spisal sem navodila za TFTP, ki pa ni potreben za prvo flashanje.

WAN porta še nisem pripravil do delovanja, glede na openwrt forum pa je to bug, ki je že odpravljen

Predelal bom autoflash skripto od fonere, da bo uporabna za ta router.

comment:11 Changed 8 years ago by Musti

Glede na izpus konzole po flashanju sklepam, da je mogoče spremeniti frekvenco wifija in uporabiti USB, saj se driverji zaganjajo.

Starting kernel ...

Linux version 2.6.32.27 (buildbot@tksite.gotdns.org) (gcc version 4.3.3 (GCC) ) #1 Thu Feb 3 00:15:31 CST 2011
bootconsole [early0] enabled
CPU revision is: 00019374 (MIPS 24Kc)
Atheros AR7241 rev 1, CPU:400.000 MHz, AHB:200.000 MHz, DDR:400.000 MHz
Determined physical RAM map:
 memory: 02000000 @ 00000000 (usable)
Initrd not found or empty - disabling initrd
Zone PFN ranges:
  Normal   0x00000000 -> 0x00002000
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0: 0x00000000 -> 0x00002000
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
Kernel command line: rootfstype=squashfs,jffs2 noinitrd console=ttyS0,115200 board=TL-WR741ND
PID hash table entries: 128 (order: -3, 512 bytes)
Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
Writing ErrCtl register=00000000
Readback ErrCtl register=00000000
Memory: 29376k/32768k available (2059k kernel code, 3392k reserved, 392k data, 152k init, 0k highmem)
SLUB: Genslabs=7, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
Hierarchical RCU implementation.
NR_IRQS:56
Calibrating delay loop... 266.24 BogoMIPS (lpj=1331200)
Mount-cache hash table entries: 512
NET: Registered protocol family 16
MIPS: machine is TP-LINK TL-WR741ND
registering PCI controller with io_map_base unset
bio: create slab <bio-0> at 0
pci 0000:00:00.0: fixup device configuration
pci 0000:00:00.0: PME# supported from D0 D1 D3hot
pci 0000:00:00.0: PME# disabled
PCI: mapping irq 48 to pin1@0000:00:00.0
Switching to clocksource MIPS
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 1024 (order: 1, 8192 bytes)
TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
TCP: Hash tables configured (established 1024 bind 1024)
TCP reno registered
NET: Registered protocol family 1
squashfs: version 4.0 (2009/01/31) Phillip Lougher
Registering mini_fo version $Id$
JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
msgmni has been set to 57
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
console [ttyS0] enabled, bootconsole disabled
console [ttyS0] enabled, bootconsole disabled
Atheros AR71xx SPI Controller driver version 0.2.4
m25p80 spi0.0: s25sl032a (4096 Kbytes)
Searching for RedBoot partition table in spi0.0 at offset 0x3e0000
Searching for RedBoot partition table in spi0.0 at offset 0x3f0000
No RedBoot partition table detected in spi0.0
spi0.0: no WRT160NL signature found
Creating 5 MTD partitions on "spi0.0":
0x000000000000-0x000000020000 : "u-boot"
0x000000020000-0x000000160000 : "kernel"
0x000000160000-0x0000003f0000 : "rootfs"
mtd: partition "rootfs" set to be root filesystem
mtd: partition "rootfs_data" created automatically, ofs=2F0000, len=100000 
0x0000002f0000-0x0000003f0000 : "rootfs_data"
0x0000003f0000-0x000000400000 : "art"
0x000000020000-0x0000003f0000 : "firmware"
ag71xx_mdio: probed
eth0: Atheros AG71xx at 0xba000000, irq 5
eth0: Found an AR7240 built-in switch
eth1: Atheros AG71xx at 0xb9000000, irq 4
Atheros AR71xx hardware watchdog driver version 0.1.0
TCP westwood registered
NET: Registered protocol family 17
Bridge firewalling registered
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
All bugs added by David S. Miller <davem@redhat.com>
VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
Freeing unused kernel memory: 152k freed
Please be patient, while OpenWrt loads ...
input: gpio-buttons as /devices/platform/gpio-buttons/input/input0
Button Hotplug driver version 0.4.1
eth0: link up (1000Mbps/Full duplex)
- preinit -
Registered led device: tl-wr741nd:green:system
Registered led device: tl-wr741nd:green:qss
Press the [f] key and hit [enter] to enter failsafe mode
- regular preinit -
jffs2 not ready yet; using ramdisk
mini_fo: using base directory: /
mini_fo: using storage directory: /tmp/root
- init -
eth0: link down

Please press Enter to activate this console. eth0: link up (1000Mbps/Full duplex)
device eth0 entered promiscuous mode
br-lan: port 1(eth0) entering forwarding state
eth1: link up (100Mbps/Full duplex)
Compat-wireless backport release: compat-wireless-2011-01-06-3-g8db1608
Backport based on wireless-testing.git master-2011-01-21-2
cfg80211: Calling CRDA to update world regulatory domain
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
cfg80211: World regulatory domain updated:
cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
usbcore: registered new device driver usb
Registered led device: ath9k-phy0
ieee80211 phy0: Atheros AR9287 Rev:2 mem=0xb0000000, irq=48
cfg80211: Calling CRDA for country: US
cfg80211: Regulatory domain changed to country: US
cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
cfg80211:     (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
PPP generic driver version 2.4.2
ip_tables: (C) 2000-2006 Netfilter Core Team
NET: Registered protocol family 24
ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
nf_conntrack version 0.5.0 (461 buckets, 1844 max)
CONFIG_NF_CT_ACCT is deprecated and will be removed soon. Please use
nf_conntrack.acct=1 kernel parameter, acct=1 nf_conntrack module option or
sysctl net.netfilter.nf_conntrack_acct=1 to enable it.
ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
jffs2_scan_eraseblock(): End of filesystem marker found at 0x0
jffs2_build_filesystem(): unlocking the mtd device... done.
jffs2_build_filesystem(): erasing all blocks after the end marker... done.
mini_fo: using base directory: /
mini_fo: using storage directory: /overlay

comment:12 Changed 8 years ago by mitar

V priponko prosim drugič tako dolge stvari. ;-)

comment:13 Changed 8 years ago by Musti

Uspešno naložil openwrt backfire trunk na wr841nd, skonfiguriral kot wireless client in usposobil serijski vmesnik.

owfs žal ne gre namestiti zaradi velikosti, vendar sem odkril digitemp na backfire repozitoriju. Namestil in dela. Uporabiti je pa potrebno DS9097U. Menim da je uporaba le tega trenutno bolj smiselna kot pa owfs.

root@OpenWrt:/usr/bin# ./digitemp_DS9097U -s /dev/ttyS0 -i
DigiTemp v3.5.0 Copyright 1996-2007 by Brian C. Lane
GNU Public License v2.0 - http://www.digitemp.com
Turning off all DS2409 Couplers
.
Searching the 1-Wire LAN
28EDA2C50200003A : DS18B20 Temperature Sensor
ROM #0 : 28EDA2C50200003A
Wrote .digitemprc

comment:14 Changed 8 years ago by mitar

A nismo rekli, da digitemp dela le na Linksysu?

Torej mogoce je na Foneri preprosto problem v serijskem portu?

comment:15 Changed 8 years ago by Musti

To je mogoče. Lahko pa je tudi problem v kernelu, ker na foneri nimamo backfire.

Digitemp pa žal ne podpira branja drugega kot temperaturnih senzorjev 1-wire, kar pomeni da kot tak ni najbolj uporaben.

comment:16 Changed 8 years ago by mitar

No, samo če zna brati en tip senzorja, torej protokol potem podpira, potem se ga pač prilagodi še za ostale.

comment:17 Changed 8 years ago by Musti

Naletel sem na nekaj težav. Testiral sem output funkcijo preko owfsja in nato rebootal router. Ne zboota se več, obesi se pri mounting fuse, sklepam da le ta nekako zapolni spomin ali kaj. Kakšna ideja, preden reflasham?

comment:18 Changed 8 years ago by mitar

Zakaj pa se ob bootu mounta fuse? To bi se moralo po tem, ko se sistem naloži (torej do konca naloži vse sistemsko). Vrstni red v /etc/rc.d/ si popravi, tako da je fuse res čisto na koncu.

comment:19 Changed 8 years ago by Musti

Vrstnega reda nisem popravljal. Lahko pridem v failsafe mode v router, vendar ne vem če prek tistega pridem do konfiguracije.

comment:20 Changed 8 years ago by mitar

Saj so nekje navodila, kako se dela v failsafe. Mislim, da moraš potem mountati pravi root (root switch ali kaj že) in lahko popravljaš.

comment:21 Changed 8 years ago by mitar

  • Component changed from firmware to image generator

comment:22 Changed 6 years ago by mitar

Just a comment, which I just learned. ath9k_htc driver does not support more than 8 clients in AP mode (because of limited memory of the device). So if you are using USB WiFi key using this driver, you might have problems. So the idea to add USB WiFi key to the USB ports of routers might have a limited usability. We might want to test that or find USB WiFi keys using some other driver.

comment:23 Changed 6 years ago by Musti

The USB key should be used as a client anyways to connect to mesh or AP, so this limit should not really pose any problems, however does this limit apply to ad-hoc as well? That means 8 neighbours max.

comment:24 Changed 6 years ago by mitar

I don't know about the ad-hoc. My question is: are there any USB keys which uses ath9k.

comment:25 Changed 5 years ago by kostko

  • Component changed from image generator to nodewatcher/devices

comment:26 Changed 5 years ago by kostko

Can we use this WR841NDv7 of yours to test nodewatcher v3 device descriptors (see #1256)?

comment:27 Changed 4 years ago by mitar

Musti, what is the status of this? Can you check if our 3.0b firmware works on this device?

comment:28 Changed 4 years ago by Musti

Works, we have one node kozolec-home, but not sure about hardware revision.

comment:29 Changed 4 years ago by kostko

  • Status changed from new to closed
  • Resolution set to fixed
Note: See TracTickets for help on using tickets.